Bug 230186

Summary: devel/hs-git-annex: Missing from pkgs
Product: Ports & Packages Reporter: Clément <clement+freebsd>
Component: Individual Port(s)Assignee: freebsd-haskell mailing list <haskell>
Status: Closed FIXED    
Severity: Affects Only Me CC: arrowd, crest, knuj
Priority: --- Flags: arrowd: maintainer-feedback+
Version: Latest   
Hardware: Any   
OS: Any   

Description Clément 2018-07-30 11:06:01 UTC
[This is not a bug in the port per se, apologies if I am not reporting it in the right place.]

devel/hs-git-annex is not available from the pkg repositories anymore (both latest and quarterly, at least for amd64), but https://www.freshports.org/devel/hs-git-annex/ does not list any problem with the port. Unfortunately I cannot confirm that the port actually builds, my machine being very limited resource-wise.
Comment 1 Gleb Popov freebsd_committer 2018-07-30 19:12:15 UTC
git-annex depends on esqueleto package, which doesn't build with current GHC. So, we have to wait for new esqueleto release to make git-annex available.
Comment 2 knuj 2019-01-20 10:13:05 UTC
It looks like esqueleto was removed as a dependency in http://git-annex.branchable.com/news/version_7.20181121/.
Comment 3 Jan Bramkamp 2019-03-08 09:35:19 UTC
It has and building git annex with stack is possible if you use the system GHC (their prepackaged GHC isn't ino64 compatible).
Comment 4 commit-hook freebsd_committer 2019-05-09 14:40:31 UTC
A commit references this bug:

Author: arrowd
Date: Thu May  9 14:39:35 UTC 2019
New revision: 501101
URL: https://svnweb.freebsd.org/changeset/ports/501101

Log:
  Introduce USES=cabal and use it to build Haskell applications.

  PR:		230186
  Reviewed by:	mat, tcberner
  Approved by:	tcberner (mentor)
  Differential Revision:	https://reviews.freebsd.org/D19730

Changes:
  head/Mk/Uses/cabal.mk
  head/Mk/bsd.options.mk
  head/converters/hs-aeson-pretty/Makefile
  head/converters/hs-aeson-pretty/distinfo
  head/converters/hs-aeson-pretty/pkg-descr
  head/devel/hs-ShellCheck/Makefile
  head/devel/hs-ShellCheck/distinfo
  head/devel/hs-alex/Makefile
  head/devel/hs-alex/distinfo
  head/devel/hs-bytestring-nums/Makefile
  head/devel/hs-bytestring-nums/distinfo
  head/devel/hs-c2hs/Makefile
  head/devel/hs-c2hs/distinfo
  head/devel/hs-c2hs/files/
  head/devel/hs-cabal-install/Makefile
  head/devel/hs-cabal-install/distinfo
  head/devel/hs-cpphs/Makefile
  head/devel/hs-cpphs/distinfo
  head/devel/hs-darcs/Makefile
  head/devel/hs-darcs/distinfo
  head/devel/hs-darcs/files/patch-darcs.cabal
  head/devel/hs-ghc-events/Makefile
  head/devel/hs-ghc-events/distinfo
  head/devel/hs-git-annex/Makefile
  head/devel/hs-git-annex/distinfo
  head/devel/hs-git-annex/files/patch-Build__Configure.hs
  head/devel/hs-git-annex/files/patch-Build__DesktopFile.hs
  head/devel/hs-git-annex/files/patch-Command_Multicast.hs
  head/devel/hs-git-annex/files/patch-Utility_QuickCheck.hs
  head/devel/hs-git-annex/files/patch-clock-0.7.2_clock.cabal
  head/devel/hs-git-annex/files/patch-git-annex.cabal
  head/devel/hs-haddock/Makefile
  head/devel/hs-haddock/distinfo
  head/devel/hs-happy/Makefile
  head/devel/hs-happy/distinfo
  head/devel/hs-happy/files/
  head/devel/hs-happy/files/patch-happy.cabal
  head/devel/hs-hasktags/Makefile
  head/devel/hs-hasktags/distinfo
  head/devel/hs-hlint/Makefile
  head/devel/hs-hlint/distinfo
  head/devel/hs-hoogle/Makefile
  head/devel/hs-hoogle/distinfo
  head/devel/hs-hspec-discover/Makefile
  head/devel/hs-hspec-discover/distinfo
  head/devel/hs-mueval/Makefile
  head/devel/hs-mueval/distinfo
  head/devel/hs-shake/Makefile
  head/devel/hs-shake/distinfo
  head/devel/hs-threadscope/Makefile
  head/devel/hs-threadscope/distinfo
  head/devel/hs-threadscope/files/
  head/devel/hs-threadscope/files/patch-gtk2hs-buildtools-0.13.5.0_c2hs_toplevel_C2HSConfig.hs
  head/devel/hs-threadscope/files/patch-threadscope.cabal
  head/devel/stack/Makefile
  head/devel/stack/distinfo
  head/devel/stack/files/
  head/devel/stack/files/patch-ino64-support
  head/devel/stack/files/patch-uname
  head/games/Makefile
  head/games/hedgewars/Makefile
  head/games/hedgewars-server/
  head/games/hedgewars-server/Makefile
  head/games/hedgewars-server/distinfo
  head/games/hedgewars-server/pkg-descr
  head/games/hs-scroll/Makefile
  head/games/hs-scroll/distinfo
  head/games/hs-scroll/files/
  head/games/hs-scroll/files/patch-lib_UI_NCurses.chs
  head/lang/ghc/bsd.hackage.mk
  head/lang/hs-brainfuck/Makefile
  head/lang/hs-brainfuck/distinfo
  head/lang/hs-unlambda/Makefile
  head/lang/hs-unlambda/distinfo
  head/math/hs-Agda/Makefile
  head/print/hs-hscolour/Makefile
  head/print/hs-hscolour/distinfo
  head/textproc/cgrep/Makefile
  head/textproc/cgrep/distinfo
  head/textproc/hs-lhs2tex/Makefile
  head/textproc/hs-lhs2tex/distinfo
  head/textproc/hs-pandoc/Makefile
  head/textproc/hs-pandoc/distinfo
  head/textproc/hs-pandoc/files/
  head/textproc/hs-pandoc-citeproc/Makefile
  head/textproc/hs-pandoc-citeproc/distinfo
  head/textproc/hs-yaml/Makefile
  head/textproc/hs-yaml/distinfo
  head/textproc/hs-yaml/pkg-descr
  head/www/hs-DAV/Makefile
  head/www/hs-DAV/distinfo
  head/www/hs-hjsmin/Makefile
  head/www/hs-hjsmin/distinfo
  head/www/hs-wai-app-static/Makefile
  head/www/hs-wai-app-static/distinfo
  head/www/hs-yesod-bin/Makefile
  head/www/hs-yesod-bin/distinfo
  head/www/hs-yesod-bin/files/patch-yesod-bin.cabal
  head/x11/hs-xmobar/Makefile
  head/x11/hs-xmobar/distinfo
  head/x11/hs-xmobar/files/extra-patch-hinotify.cabal
  head/x11/hs-xmobar/pkg-plist
Comment 5 Gleb Popov freebsd_committer 2019-05-09 14:42:00 UTC
The port has been updated as part of https://reviews.freebsd.org/D19730